## ================================================================

use strict;

# ================================================================

use FindBin qw($Bin);

our($iScriptBase)=$Bin.'/';
# Library was imported by PerlReleaseBuilder.

require $main::iScriptBase.'Function_Shared.pl';

require $iScriptBase.'Function_Private.pl';

require $ARGV[0];

# ================================================================

my($tTimeStart)=time();

print '--------------------------------'."\n";

my(%tListAlreadyDownloaded)=&loadAlreadyDownloadedFileList($main::iURLList_already_downloaded);
my(%tNewListAlreadyDownloaded)=();

my($tTotalDownloadSizeRemaining)=$main::iTotalDownloadSizeLimit;

$tTotalDownloadSizeRemaining=&downloadFileFromURLList($main::iURLList_document_filtered,\%tListAlreadyDownloaded,\%tNewListAlreadyDownloaded,$tTotalDownloadSizeRemaining);
$tTotalDownloadSizeRemaining=&downloadFileFromURLList($main::iURLList_inline_filtered,\%tListAlreadyDownloaded,\%tNewListAlreadyDownloaded,$tTotalDownloadSizeRemaining);

&saveAlreadyDownloadedFileList($main::iURLList_already_downloaded,\%tNewListAlreadyDownloaded);

# unlink($main::iURLList_document);
# unlink($main::iURLList_document_filtered);
# unlink($main::iURLList_inline);
# unlink($main::iURLList_inline_filtered);

my($tTimeEnd)=time();
my($tTimeDuration)=$tTimeEnd-$tTimeStart;

my($tTimeDurationString)=sprintf('%02d:%02d:%02d',int($tTimeDuration/3600),int(($tTimeDuration%3600)/60),($tTimeDuration%60));

print '--------------------------------'."\n";
print 'Spent '.$tTimeDurationString."\n";
print 'Download amount '.($main::iTotalDownloadSizeLimit-$tTotalDownloadSizeRemaining)."\n";

# ================================================================
