#!/bin/sh

target="${1}"

if [ -z "${target}" ]
then
	echo '[ALERT] Target is not specified, operation aborted.' 1>&2
	exit
fi

if [ ! -f "${target}" ]
then
	echo '[ALERT] Target is not found, operation aborted.' 1>&2
	exit
fi

if [ -s "${target}" ]
then
	unzip -qq -xu "${target}" -d "${target%/*}/"
	rm "${target}"
fi

