# ================================================================

use strict;

# ================================================================

use FindBin qw($Bin);

our($iScriptBase)=$Bin.'/';
# Library was imported by PerlReleaseBuilder.

require $main::iScriptBase.'Function_Shared.pl';

require $iScriptBase.'Function_Private.pl';

require $ARGV[0];

# ================================================================

our(%gDocumentURLList)=();
our(%gImageURLList)=();

# ================================================================

my($tTimeStart)=time();

print '--------------------------------'."\n";

# ----  N[ΏۂURLuhLgURLXgvɕϊ

foreach(sort keys %main::iCrawlURL)
{
	my($tURL)=$_;
	my($tMaxDepth)=$main::iCrawlURL{$tURL};

	&addEntryToDocumentURLList(\%gDocumentURLList,&removeReference($tURL),'',$tURL,$tMaxDepth,0,'');
}

while(1)
# [v
{
	my($tHasCrawlableURL)=0;

	my($tPreviousDoain)='';
	my($tMustSleep)=0;

	foreach(sort keys %gDocumentURLList)
	{
		my($tURL)=$_;

		my($tReferer)=$gDocumentURLList{$tURL}{$main::iQuery_referer};
		my($tRootURL)=$gDocumentURLList{$tURL}{$main::iQuery_root};
		my($tMaxDepth)=$gDocumentURLList{$tURL}{$main::iQuery_max_depth};
		my($tDepth)=$gDocumentURLList{$tURL}{$main::iQuery_depth};
		my($tContentType)=$gDocumentURLList{$tURL}{$main::iQuery_content_type};
		my($tIsCrawled)=$gDocumentURLList{$tURL}{$main::iQuery_is_crawled};
		my($tForceReroute)=$gDocumentURLList{$tURL}{$main::iQuery_force_reroute};
		my($tURLList)=$gDocumentURLList{$tURL}{$main::iQuery_url_list};

		if(($tDepth<=$tMaxDepth)||($tMaxDepth==-1))
		# N[T[xl𒴂ĂȂꍇ
		{
			if(!$tIsCrawled)
			# N[URL̏ꍇ
			{
				$tHasCrawlableURL=1;
				# uN[\URL݂͑vƃ}[N

				my($tCurrentDomain)=&getDomainFromURL($tURL);
				# URL̃hC擾

				if(&isDifferent($tCurrentDomain,$tPreviousDoain))
				# URL̃hCOŃANZXhCƈႤꍇ
				{
					my($tWasCrawled)=&collectURL($tURL,$tReferer,$tRootURL,$tMaxDepth,$tDepth,\%gDocumentURLList,\%gImageURLList);
					# URLN[URLW

					if($tWasCrawled)
					# ۂɃN[Ăꍇ
					{
						$tPreviousDoain=$tCurrentDomain;
						# URL̃hCuANZXhCvƂă}[N

						$tMustSleep=1;
						# sleep悤ɐݒ
					}
				}
			}
			else
			# N[ς݂URL̏ꍇ
			{
				if($tForceReroute)
				# ă[g̎w肪ꍇ
				{
					foreach(sort keys %$tURLList)
					{
						my($tDocumentURL)=$_;
						my($tDocumentOffset)=$$tURLList{$tDocumentURL};

						&updateEntryToDocumentURLList(\%gDocumentURLList,$tDocumentURL,$main::iQuery_depth,($tDepth+$tDocumentOffset));
						# N[[xXV

						&updateEntryToDocumentURLList(\%gDocumentURLList,$tDocumentURL,$main::iQuery_force_reroute,1);
						# oꂽURLׂāuă[gΏہvƃ}[N
					}

					&updateEntryToDocumentURLList(\%gDocumentURLList,$tURL,$main::iQuery_force_reroute,0);
					# oꂽURLׂāuă[gΏہvƃ}[N
				}
			}
		}
	}

	if($tHasCrawlableURL)
	# ܂N[\URL݂ꍇ
	{
		if($main::iCrawlDuration>0)
		# N[Ԋuݒ肳Ăꍇ
		{
			if($tMustSleep)
			# sleepKvȏꍇ
			{
				print 'Wait '.$main::iCrawlDuration.' sec'."\n";

				sleep($main::iCrawlDuration);
				# w莞sleep
			}
		}

		$tPreviousDoain='';
		# hCւ̃N[eł悤ɂ
	}
	else
	# N[\URL݂Ȃꍇ
	{
		last;
		# [v甲
	}
}

my($tDocumentURLCount)=&saveDocumentURLList($main::iURLList_document,\%gDocumentURLList);
my($tImageURLCount)=&saveInlineURLList($main::iURLList_inline,\%gImageURLList);

my($tTimeEnd)=time();
my($tTimeDuration)=$tTimeEnd-$tTimeStart;

my($tTimeDurationString)=sprintf('%02d:%02d:%02d',int($tTimeDuration/3600),int(($tTimeDuration%3600)/60),($tTimeDuration%60));

print '--------------------------------'."\n";
print 'Crawled '.&getNumberOfCrawledURL(\%gDocumentURLList).' URLs'."\n";
print 'Collected '.($tDocumentURLCount+0).' a href tagged URLs.'."\n";
print 'Collected '.($tImageURLCount+0).' img src tagged URLs.'."\n";
print 'Spent '.$tTimeDurationString."\n";

# ================================================================
