# ================================================================

use strict;

# ================================================================

use FindBin qw($Bin);

our($iScriptBase)=$Bin.'/';
# Library was imported by PerlReleaseBuilder.

require $main::iScriptBase.'Function_Shared.pl';

require $iScriptBase.'Function_Private.pl';

require $ARGV[0];

# ================================================================

my($tTimeStart)=time();

my($tFilteredURLCount1)=&filterURLList($main::iURLList_document,$main::iURLList_document_filtered,\@main::iDownloadExtension);
my($tFilteredURLCount2)=&filterURLList($main::iURLList_inline,$main::iURLList_inline_filtered,\@main::iDownloadExtension);

my($tTimeEnd)=time();
my($tTimeDuration)=$tTimeEnd-$tTimeStart;

my($tTimeDurationString)=sprintf('%02d:%02d:%02d',int($tTimeDuration/3600),int(($tTimeDuration%3600)/60),($tTimeDuration%60));

print '--------------------------------'."\n";
print 'Marked '.$tFilteredURLCount1.' a href tagged URLs.'."\n";
print 'Marked '.$tFilteredURLCount2.' img src tagged URLs.'."\n";
print 'Spent '.$tTimeDurationString."\n";

# ================================================================
